k_one_hot {keras} | R Documentation

## Computes the one-hot representation of an integer tensor.

### Description

Computes the one-hot representation of an integer tensor.

### Usage

    k_one_hot(indices, num_classes)

### Arguments

`indices` | nD integer tensor of shape `(batch_size, dim1, dim2, ... dim(n-1))`
`num_classes` | Integer, number of classes to consider.

### Value

(n + 1)D one hot representation of the input with shape `(batch_size, dim1, dim2, ... dim(n-1), num_classes)`

### Keras Backend

This function is part of a set of Keras backend functions that enable lower level access to the core operations of the backend tensor engine (e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here: https://keras.rstudio.com/articles/backend.html#backend-functions.

[Package keras version 2.2.4 Index]